API referenceMetrics-dashboards

Get Dashboard Preset

GET/api/v1/metrics-dashboards/preset

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/metrics-dashboards/preset"
{  "panels": [    {      "description": "",      "id": "string",      "legend": true,      "position": {        "h": 3,        "w": 3,        "x": 0,        "y": 0      },      "queries": [        {          "history": "configured",          "kind": "metric",          "metric": "system_cpu_busy_ratio"        }      ],      "title": "string",      "unit": "auto",      "visualization": "timeseries"    }  ],  "range_seconds": 3600,  "refresh_seconds": 0,  "schema_version": 1}